\documentclass[11pt, a4paper]{article}


\usepackage{url}
% DOCUMENT LAYOUT
\usepackage[margin=1in]{geometry}
\parindent=15pt

% Reduce spacing in enumerate, enumerate and titles
\usepackage{multicol}
\usepackage{enumitem}
\setenumerate{nolistsep}
\setenumerate{nolistsep}
% \setlength{\parskip}{1em}

% FONTS
\usepackage[utf8]{inputenc}

% HEADINGS and TITLES
\usepackage{sectsty}
\usepackage[normalem]{ulem}

% packages
\usepackage{amsmath, amsfonts, latexsym, listings, cite, amssymb,
  amsthm, stmaryrd, scrextend, float, mathtools}

\usepackage{graphicx}
\graphicspath{ {./img/} }

% Not native to tex
\usepackage{bussproofs}
\usepackage{qtree}
\usepackage{tikz-cd}

\usepackage{titling}
\setlength{\droptitle}{-90pt}
\title{CS5350: Supplement}
\author{ Jamil Gafur}

% BEGIN DOCUMENT
\begin{document}
\maketitle


\section{Week 1: Chapter 10 Problem 7}

Let $G =(V,E)$ be a flow network in which every edge has capacity $1$ and the shortest path distance from s to t is at minimium $d$.

\subsection{Prove that the value of the max flow is at most E/d}
we know the capacity of all edges are 1, we also know $|f^*| = \sum|$distinct paths in f$|$
\section{Week 1: Chapter 10 Problem 14}

Suppose you are given a flow network G with integer edge capacities and
an integer maximum flow $f^*$ in G. Describe algorithms for the following
operations:

(NOTE: Both algorithms should modify $f^*$ so that it is still a maximum flow, more
quickly than recomputing a maximum flow from scratch)

\subsection{INCREMENT(e): Increase the capacity of edge e by 1 and update the
maximum flow}

Since we are given a graph with a maxflow, we know that the residual graph has a group of vertices $\hat S$ and a group of vertices $\hat T$. If we increase the capacity of an edge for any vertices within the $\hat S$ or $\hat T$ groups then the max flow will stay the same as there is no augmenting path from $\hat S$ to $\hat T$. However if we increase the capacity of an edge between a vertice in $\hat S$ and $\hat T$, then we know more flow can possibly be pushed forward.

In order to increment the flow and calculate the new max flow we can follow the following steps for this case.
\begin{enumerate}
  \item increase the capacity of the edge
  \item generate a new residual graph (we shoulde see a single flow moving from $\hat s$ to $\hat T$
  \item run one iteration of FFA
\end{enumerate}

\subsection{DECREMENT(e):  Decrease the capacity of edge e by 1 and update the
maximum flow}

When running the Decrement algorithm we 

\end{document}
